package cz.senslog.connector.fetch.drutes;

import cz.senslog.connector.model.config.DefaultConfig;

public class DrutesConfig {

    private final long unitId;
    private final String baseDir;
    private final String observedDir;

    public DrutesConfig(DefaultConfig config) {
        this.unitId = config.getIntegerProperty("unitId");
        this.baseDir = config.getStringProperty("baseDir");
        this.observedDir = config.getStringProperty("observedDir");
    }

    public String getBaseDir() {
        return baseDir;
    }

    public long getUnitId() {
        return unitId;
    }

    public String getObservedDir() {
        return observedDir;
    }
}
